<script>

// const { each }=require("svelte/internal");

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // Create counter
  let counter = 0;
  function increment(){
    if (counter < 6){
    counter+=1;
    }
  }
  const myInterval = setInterval(increment, 1000)

  // All lights with a higher index are on!
  let index = points.length;

  // Color
  let color = "darkred";
  function setColor(counter){
    if (counter < 6) {
      return "darkred";
    } else {
      return "darkgreen";
    }
  }

  // Set opacity
  function setOpacity(idx,counter){
    if (idx > counter) {
      return 0.3;
    } else {
      return 1;
    }
  }
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each [1,2,3,4,5] as idx}
      <circle cx={points[index-idx]} 
              cy={innerHeight/2} 
              fill={setColor(counter)}
              opacity = {setOpacity(idx,counter)}
              r=10 />
    {/each} 
  </g>
</svg>
